Package com.independentsoft.office.spreadsheet.styles

# Class CellStyle

java.lang.Object
com.independentsoft.office.spreadsheet.styles.CellStyle

public class CellStyle extends Object
The Class CellStyle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellStyle()`
  Instantiates a new cell style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CellStyle`
  `clone()`
  `int`
  `getID()`
  Gets the id.
  `MasterCellFormat`
  `getMasterCellFormat()`
  Gets the master cell format.
  `String`
  `getName()`
  Gets the name.
  `int`
  `getOutlineStyle()`
  Gets the outline style.
  `boolean`
  `isCustomBuiltin()`
  Checks if is custom builtin.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `void`
  `setCustomBuiltin​(boolean isCustomBuiltin)`
  Sets the custom builtin.
  `void`
  `setHidden​(boolean isHidden)`
  Sets the hidden.
  `void`
  `setID​(int id)`
  Sets the id.
  `void`
  `setMasterCellFormat​(MasterCellFormat masterCellFormat)`
  Sets the master cell format.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setOutlineStyle​(int outlineStyle)`
  Sets the outline style.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CellStyle

    public CellStyle()
    Instantiates a new cell style.

- ## Method Details

  - ### clone

    public CellStyle clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getID

    public int getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(int id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### isCustomBuiltin

    public boolean isCustomBuiltin()
    Checks if is custom builtin.
    Returns:
      true, if is custom builtin

  - ### setCustomBuiltin

    public void setCustomBuiltin​(boolean isCustomBuiltin)
    Sets the custom builtin.
    Parameters:
      `isCustomBuiltin` - the new custom builtin

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Sets the hidden.
    Parameters:
      `isHidden` - the new hidden

  - ### getOutlineStyle

    public int getOutlineStyle()
    Gets the outline style.
    Returns:
      the outline style

  - ### setOutlineStyle

    public void setOutlineStyle​(int outlineStyle)
    Sets the outline style.
    Parameters:
      `outlineStyle` - the new outline style

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getMasterCellFormat

    public MasterCellFormat getMasterCellFormat()
    Gets the master cell format.
    Returns:
      the master cell format

  - ### setMasterCellFormat

    public void setMasterCellFormat​(MasterCellFormat masterCellFormat)
    Sets the master cell format.
    Parameters:
      `masterCellFormat` - the new master cell format